// Gaurav Jain
// SE 382 - Assignment 1
// Displayable .h

#ifndef _DISPLAYABLE_H_
#define _DISPLAYABLE_H_

/*
 * Header files for X functions
 */
#include <X11/Xlib.h>
#include <X11/Xutil.h>

/*
 * Information to draw on the window.
 */
struct XInfo
{  Display  *display;
   Window   window;
   GC       gc;
};
		

/*
 * An abstract class representing displayable things. 
 */
class Displayable
{ 
	public:
		virtual void paint(XInfo &xinfo) = 0;
}; 

#endif