// Gaurav Jain
// SE 382 - Assignment 1
// Runner.h

// Subclass of Person. Represents the runner in the level

#ifndef _RUNNER_H_
#define _RUNNER_H_

#include "global_enum_defs.h"
#include "Level.h"
#include "Person.h"

using namespace std;

class Level;

class Runner : public Person {
	public:
		Runner(int x, int y, Level *lev, XInfo &xinfo);
		~Runner();
		void paint(XInfo &xinfo); // implements paint method that is abstract in Person class
	private:
		void readBitMaps(XInfo &xinfo);
		bool firstPaint;
		int lives;
};

#endif
