// Gaurav Jain
// SE 382 - Assignment 1
// Goon.h

// Goon class that is used by level to represent goons
#ifndef _GOON_H_
#define _GOON_H_

#include "global_enum_defs.h"
#include "Level.h"
#include "Person.h"

using namespace std;

class Level;

class Goon : public Person {
	public:
		Goon(int x, int y, Level *lev, XInfo &xinfo);
		~Goon();
		void paint(XInfo &xinfo);
		int dropGold();
	private:
		void readBitMaps(XInfo &xinfo); // reads bitmaps and "caches" it
		bool firstPaint; // first time read the bitmaps - don't do it after
};

#endif