// Gaurav Jain
// SE 382 - Assignment 1
// Text.h


#include "Displayable.h"
#include <string>

using namespace std;
/*
 * Display some text where the user clicked the mouse.
 */
class Text : public Displayable
{  public:
      virtual void paint(XInfo &xinfo)
      {  XDrawImageString( xinfo.display, xinfo.window, xinfo.gc, 
               this->x, this->y, this->s.c_str(), this->s.length() );
      }
      
      // constructor
      Text(int x, int y, string s):x(x), y(y), s(s)  {}
      
   private:
      int x;
      int y;
      string s;
};
